postcss-merge-rules

> Merge CSS rules with PostCSS.

# Install

With npm do:

npm install postcss-merge-rules --save

# Examples

This module will attempt to merge adjacent CSS rules:

## By declarations

### Input

a {
color: blue;
font-weight: bold
}
p {
color: blue;
font-weight: bold
}

### Output

a,p {
color: blue;
font-weight: bold
}

## By selectors

### Input

a {
color: blue
}
a {
font-weight: bold
}

### Output

a {
color: blue;
font-weight: bold
}

## By partial declarations

### Input

a {
font-weight: bold
}
p {
color: blue;
font-weight: bold
}

### Output

a,p {
font-weight: bold
}
p {
color: blue
}

# Usage

See the PostCSS documentation for examples for your environment.

# Contributors

See CONTRIBUTORS.md.

# License

MIT © Ben Briggs